       IDENTIFICATION DIVISION.
       PROGRAM-ID. SearchNumeric.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 TBL.
           05 PRICE PIC 9(3)V99 OCCURS 4 TIMES INDEXED BY IX.
       PROCEDURE DIVISION.
           MOVE 1.99 TO PRICE(1)
           MOVE 2.50 TO PRICE(2)
           MOVE 3.00 TO PRICE(3)
           MOVE 4.75 TO PRICE(4)
           SEARCH TBL
               AT END DISPLAY "NONE"
               WHEN PRICE(IX) = 3.00 DISPLAY "MATCH"
           END-SEARCH
           STOP RUN.
